Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class Arc

    java.lang.Object
      jet.api.Shape
          jet.api.Arc

    public class Arc

extends Shape

Class Arc wraps an `Arc` object's information.

Constructor Summary
`Arc()` Defines a JReport `Arc` object.

Method Summary
`int` | `getArcAngle()` Gets angle of an arc object.
`int` | `getStartAngle()` Gets shape start angle.
`void` | `setArcAngle(int arcAngle)` Sets angle of an arc object.
`void` | `setStartAngle(int startAngle)` Sets the start angle of the Arc in degrees.

Methods inherited from class jet.api.Shape
`getBottomAttach, getBottomAttachX, getBottomAttachY, getShapeType, getTopAttach, getTopAttachX, getTopAttachY, setBottomAttach, setBottomAttachX, setBottomAttachY, setTopAttach, setTopAttachX, setTopAttachY`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arc

    public Arc()

  Defines a JReport `Arc` object.

Method Detail

### setStartAngle

    public void setStartAngle(int startAngle)

  Sets the start angle of the Arc in degrees. The value ranges from 0 to 360. At 0, the vertex of the arc starts at 12:15 clock position. As it gets closer to 360, the arc travels in a counterclockwise motion.

  Parameters:
    `startAngle` - Value of the angle.

### getStartAngle

    public int getStartAngle()

  Gets shape start angle.

  Returns:
    value of the angle.

### setArcAngle

    public void setArcAngle(int arcAngle)

  Sets angle of an arc object. The value ranges from 0 to 360. As it gets closer to 360, the arc begins to take on an elliptical shape.

  Parameters:
    `arcAngle` - Value of angle.

### getArcAngle

    public int getArcAngle()

  Gets angle of an arc object.

  Returns:
    value of the angle.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD